Leaked Credential Checks
leaked_credential_checks
Methods
Get Leaked Credential Checks Status -> Envelope<{ enabled }>
get/zones/{zone_id}/leaked-credential-checks
Retrieves the current status of Leaked Credential Checks.
Set Leaked Credential Checks Status -> Envelope<{ enabled }>
post/zones/{zone_id}/leaked-credential-checks
Updates the current status of Leaked Credential Checks.
Leaked Credential Checks
Detections
leaked_credential_checks.detections
Methods
List Leaked Credential Checks Custom Detections -> SinglePage<{ id, password, username }>
get/zones/{zone_id}/leaked-credential-checks/detections
List user-defined detection patterns for Leaked Credential Checks.
Security
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Zone WAF Write Zone WAF Read Account WAF Write Account WAF Read
path Parameters
zone_id: string
(maxLength: 32)Defines an identifier.
Response fields
result: Array<{ id, password, username }>
Nullable
success: true
Defines whether the API call was successful.
Request example
200Example
Create Leaked Credential Checks Custom Detection -> Envelope<{ id, password, username }>
post/zones/{zone_id}/leaked-credential-checks/detections
Create user-defined detection pattern for Leaked Credential Checks.
Update Leaked Credential Checks Custom Detection -> Envelope<{ id, password, username }>
put/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}
Update user-defined detection pattern for Leaked Credential Checks.
Delete Leaked Credential Checks Custom Detection -> Envelope<unknown>
delete/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}
Remove user-defined detection pattern for Leaked Credential Checks.